package com.goafanti.common.model;

import java.math.BigDecimal;

import org.apache.commons.lang3.StringUtils;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.goafanti.common.utils.FileUtils;

public class OrgRatepay {
    private String id;

    private String uid;

    /**
    * 营业收入(万元)
    */
    private BigDecimal operatingIncome;

    /**
    * 管理费用(万元)
    */
    private BigDecimal managementCost;

    /**
    * 营业利润
(万元)
    */
    private BigDecimal operatingProfit;

    /**
    * 营业外收入(万元)
    */
    private BigDecimal nonOperatingIncome;

    /**
    * 不征税收入(万元)
    */
    private BigDecimal nonTaxableIncome;

    /**
    * 免税收入(万元)
    */
    private BigDecimal taxExemptIncome;

    /**
    * 政府补助收入(万元)
    */
    private BigDecimal subsidyIncome;
    
    /**
     * 年份
     */
    private Integer year;
    
    /**
     * 利润总额
     */
    private BigDecimal grossProfit;
    
    /**
     * 研发费用
     */
    private BigDecimal researchCost;
    

    /**
    * 纳税申报表url
    */
    private String taxReturnUrl;
    
    /**
     * 删除标记
     */
    private Integer deletedSign;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

   

    public BigDecimal getOperatingIncome() {
		return operatingIncome;
	}

	public void setOperatingIncome(BigDecimal operatingIncome) {
		this.operatingIncome = operatingIncome;
	}

	public BigDecimal getManagementCost() {
		return managementCost;
	}

	public void setManagementCost(BigDecimal managementCost) {
		this.managementCost = managementCost;
	}

	public BigDecimal getOperatingProfit() {
		return operatingProfit;
	}

	public void setOperatingProfit(BigDecimal operatingProfit) {
		this.operatingProfit = operatingProfit;
	}

	public BigDecimal getNonOperatingIncome() {
		return nonOperatingIncome;
	}

	public void setNonOperatingIncome(BigDecimal nonOperatingIncome) {
		this.nonOperatingIncome = nonOperatingIncome;
	}

	public BigDecimal getNonTaxableIncome() {
		return nonTaxableIncome;
	}

	public void setNonTaxableIncome(BigDecimal nonTaxableIncome) {
		this.nonTaxableIncome = nonTaxableIncome;
	}

	public BigDecimal getTaxExemptIncome() {
		return taxExemptIncome;
	}

	public void setTaxExemptIncome(BigDecimal taxExemptIncome) {
		this.taxExemptIncome = taxExemptIncome;
	}

	public BigDecimal getSubsidyIncome() {
		return subsidyIncome;
	}

	public void setSubsidyIncome(BigDecimal subsidyIncome) {
		this.subsidyIncome = subsidyIncome;
	}

	public BigDecimal getGrossProfit() {
		return grossProfit;
	}

	public void setGrossProfit(BigDecimal grossProfit) {
		this.grossProfit = grossProfit;
	}

	public BigDecimal getResearchCost() {
		return researchCost;
	}

	public void setResearchCost(BigDecimal researchCost) {
		this.researchCost = researchCost;
	}

	public String getTaxReturnUrl() {
        return taxReturnUrl;
    }

    public void setTaxReturnUrl(String taxReturnUrl) {
        this.taxReturnUrl = taxReturnUrl;
    }
    
    @JsonIgnore
	public Integer getDeletedSign() {
		return deletedSign;
	}

	public void setDeletedSign(Integer deletedSign) {
		this.deletedSign = deletedSign;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}
	
	
    


	//企业纳税申报表
	public String getTaxReturnDownloadFileName(){
		if (StringUtils.isBlank(this.taxReturnUrl)){
			return null;
		} else {
			return FileUtils.getDownloadFileName(this.taxReturnUrl);
		}
	}
	
	public void setTaxReturnDownloadFileName(String taxReturnDownloadFileName){
		
	}
    
}